	.text
	.hidden	_fpioconst_pow10
	.globl	_fpioconst_pow10
	.section	.rodata
	.align 32
	.type	_fpioconst_pow10, @object
	.size	_fpioconst_pow10, 360
_fpioconst_pow10:
	.quad	0
	.quad	2
	.long	4
	.zero	4
	.quad	2
	.quad	2
	.long	7
	.long	4
	.quad	4
	.quad	2
	.long	14
	.long	10
	.quad	6
	.quad	2
	.long	27
	.long	24
	.quad	8
	.quad	2
	.long	54
	.long	50
	.quad	10
	.quad	3
	.long	107
	.long	103
	.quad	13
	.quad	5
	.long	213
	.long	210
	.quad	18
	.quad	8
	.long	426
	.long	422
	.quad	26
	.quad	15
	.long	851
	.long	848
	.quad	41
	.quad	28
	.long	1701
	.long	1698
	.quad	69
	.quad	55
	.long	3402
	.long	3399
	.quad	124
	.quad	108
	.long	6804
	.long	6800
	.quad	232
	.quad	214
	.long	13607
	.long	13604
	.quad	446
	.quad	427
	.long	27214
	.long	27210
	.quad	873
	.quad	852
	.long	54427
	.long	54424
	.hidden	__tens
	.globl	__tens
	.align 32
	.type	__tens, @object
	.size	__tens, 13800
__tens:
	.quad	0
	.quad	10
	.quad	0
	.quad	100
	.quad	0
	.quad	10000
	.quad	0
	.quad	100000000
	.quad	0
	.quad	10000000000000000
	.quad	0
	.quad	-8814407033341083648
	.quad	5421010862427
	.quad	0
	.quad	0
	.quad	7942358959831785217
	.quad	-1639316909303818259
	.quad	1593091
	.quad	0
	.quad	0
	.quad	0
	.quad	279109966635548161
	.quad	2554917779393558781
	.quad	-4322087811897362964
	.quad	-6470688491082764070
	.quad	2537941837315
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	-4696261158952338431
	.quad	1302999927698857842
	.quad	-3509871530456756026
	.quad	2788415840139466767
	.quad	2095640732773017264
	.quad	7205570348933370714
	.quad	7348167152523113408
	.quad	-9161227676869187342
	.quad	6907659600622710236
	.quad	349175
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	8643096425819600897
	.quad	6743743997439985372
	.quad	-4387039464611214697
	.quad	-7717384947811220205
	.quad	4933048501514368705
	.quad	-6188612470538996933
	.quad	2172371001088594721
	.quad	-4876840743490408670
	.quad	-4637601865739972771
	.quad	-1730383554671781970
	.quad	-8815487149903444331
	.quad	-5579802841404447906
	.quad	1397931361048440292
	.quad	7619627737732970332
	.quad	-5721334587426885716
	.quad	-6743692630348587706
	.quad	-8499665702906465533
	.quad	-4480456172261111145
	.quad	121923442132
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	-766971542220705791
	.quad	2216509366347768155
	.quad	1568689219195129479
	.quad	5511594616325588277
	.quad	1067709417009240089
	.quad	9070650952098657518
	.quad	-6931458203074693601
	.quad	2539561553659505564
	.quad	-841854772748459817
	.quad	-3935203216855346892
	.quad	-6347660734152066145
	.quad	7115240299237943815
	.quad	313979240050606788
	.quad	-8441959408992379421
	.quad	-2876475225779420143
	.quad	-8087028870873620813
	.quad	-761690061594388804
	.quad	-5263470690853753859
	.quad	7743260039872919062
	.quad	-9162150637316978690
	.quad	-7340822851643136603
	.quad	-247944750308847770
	.quad	-2131755689970093296
	.quad	4387527177871570570
	.quad	8476708682254672590
	.quad	4925096874831034057
	.quad	-4371056205637524161
	.quad	112866656203221926
	.quad	-8593913605936321198
	.quad	25755239915196746
	.quad	2201493076310172510
	.quad	8342165458688466438
	.quad	-4492737497643172566
	.quad	-3252925013806255980
	.quad	-5881127354798162085
	.quad	3815854855847885129
	.quad	-2749981910126010988
	.quad	805
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	-2087022168986361855
	.quad	5323973632697650495
	.quad	-1258787616947550431
	.quad	3930387638628283780
	.quad	3374723710406992273
	.quad	-1562518985046329485
	.quad	-7479304022668112462
	.quad	-8759827891252831556
	.quad	-7892196027397821422
	.quad	7390739362393647554
	.quad	6316162333127736719
	.quad	-324279187125480725
	.quad	4044404959645932768
	.quad	3801320885861987401
	.quad	-6365793420452277026
	.quad	-2032419811220560317
	.quad	-2051056574873141503
	.quad	-6273110132813365356
	.quad	-7603558640566919466
	.quad	-7398574240979151808
	.quad	-5771915138974867900
	.quad	-1075935763578969066
	.quad	-7945817088276142924
	.quad	-8194018915298847061
	.quad	-4276635803207484093
	.quad	3698946465517688080
	.quad	989984870770509463
	.quad	-7481142646975608547
	.quad	-7056845415271215961
	.quad	6901098232861256586
	.quad	1921335291173932590
	.quad	7662788640922083388
	.quad	-8671720240401156186
	.quad	4640401278902814207
	.quad	-3914693101511138257
	.quad	8378549018693130223
	.quad	-6774421445314179963
	.quad	8930704142764178555
	.quad	6275193859483102017
	.quad	-2664150769440346529
	.quad	8673060659034172558
	.quad	8018354414354334043
	.quad	1824896661540749038
	.quad	-7101180726983991748
	.quad	-3487527629228729667
	.quad	970189517688324683
	.quad	3338835207603007873
	.quad	-761779812917813127
	.quad	1436466329061721851
	.quad	4554134986752476101
	.quad	6398757850768963907
	.quad	4709779218751158342
	.quad	-8413466325127141352
	.quad	-514618195030286553
	.quad	-8441993185960460176
	.quad	256584531835386932
	.quad	-4050461332986819988
	.quad	3086085133731396950
	.quad	-615471988019951552
	.quad	-7872817582296986923
	.quad	-3558683025850359879
	.quad	4570995450261499817
	.quad	-8036579051396616350
	.quad	5691078631447480790
	.quad	8632710455805418155
	.quad	790672778942823293
	.quad	-1941279967952751069
	.quad	2092171438149740401
	.quad	-941713399880275738
	.quad	1291290830058928444
	.quad	-3590552383026318820
	.quad	8916773426496500052
	.quad	-8294740266130693351
	.quad	-5342302879945689902
	.quad	649395
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	-3138359622115016703
	.quad	-533079999666816281
	.quad	6115977719198531863
	.quad	5794980608663993169
	.quad	-1902393370854444686
	.quad	-9192956435928293050
	.quad	4977988951675168190
	.quad	9087837664087448770
	.quad	2098480401110016986
	.quad	-2972411532827450904
	.quad	-4404610076313010672
	.quad	1090855284423485362
	.quad	-5806787588358493235
	.quad	1454115676006639319
	.quad	3180465001342538023
	.quad	-3797667521750853887
	.quad	-8645451627163640700
	.quad	-4894542662882957612
	.quad	6101141927469189381
	.quad	1881431857880609316
	.quad	4907847477899433595
	.quad	8714572486973123228
	.quad	3514969632331374520
	.quad	-6779101786818081522
	.quad	2391499697425323350
	.quad	-960158394050475573
	.quad	-179520311827445974
	.quad	2886610765822313148
	.quad	-9143909210740651328
	.quad	-3200236226975914572
	.quad	-2522516554084988776
	.quad	-8703002830424853856
	.quad	3159780987244964246
	.quad	7304816812369628428
	.quad	-862141461149833807
	.quad	4146812420657846766
	.quad	-3921328711028510101
	.quad	8477630142371600195
	.quad	4380695748062263745
	.quad	-6326828079341608443
	.quad	-1476113207144066494
	.quad	4332724980155264503
	.quad	8079943140620527639
	.quad	1687908087554405626
	.quad	-1395662973875549450
	.quad	-5808597803978788386
	.quad	-6562994196776105845
	.quad	4662462156371383785
	.quad	4796962238316531176
	.quad	3325504751659868927
	.quad	6469595803187862550
	.quad	5852556621152583005
	.quad	-9217409281261163735
	.quad	-467010699770930907
	.quad	-4495120539533758860
	.quad	-1370864702618512339
	.quad	-4234497594251613579
	.quad	4008999959804158260
	.quad	2414266395366403722
	.quad	3252733766253918247
	.quad	6382678985007829216
	.quad	2245927470982310841
	.quad	-4656019571658244315
	.quad	-5329807206976403575
	.quad	-8728341182402757078
	.quad	-4930469673353446741
	.quad	-587520197931502213
	.quad	4396895129099725471
	.quad	3563053650368467915
	.quad	-6269898121172578948
	.quad	3492050964335269015
	.quad	2740656767075170753
	.quad	4409704077614761919
	.quad	-8208968794112058906
	.quad	3314206875098230827
	.quad	-2009383045595456168
	.quad	-6085007848301895044
	.quad	-1654233421919406136
	.quad	-6997690930479621681
	.quad	-110102336129218480
	.quad	6558939822118891088
	.quad	4606255756908155300
	.quad	2360792578991605004
	.quad	160428430149144538
	.quad	-6801882852980330105
	.quad	-7661565622549811830
	.quad	-3523183455677616935
	.quad	1902620814992781610
	.quad	-4382667078370641204
	.quad	-6899725009597338959
	.quad	-1599262593743325882
	.quad	8331994491163145469
	.quad	-6707031091970699731
	.quad	8008309968651120619
	.quad	-8179774478250516352
	.quad	-3271590692491849583
	.quad	-6238084721135831371
	.quad	7714061140750342961
	.quad	2892831567213510541
	.quad	-2993029824664534297
	.quad	71020323573871677
	.quad	-3015606077958948983
	.quad	5659146884637671933
	.quad	5998809010488554503
	.quad	-1894551694410393766
	.quad	1192197967194298797
	.quad	-2289188280284690092
	.quad	-7517372482714911361
	.quad	3194469143425738352
	.quad	6651586784672005225
	.quad	-7384316932921493825
	.quad	6834443579468668318
	.quad	-2025180875912095694
	.quad	6251046422506172884
	.quad	-4494440611552757756
	.quad	-1814257471838158392
	.quad	-7133289713418226444
	.quad	5587835232504462834
	.quad	3105197524618514637
	.quad	-178175542677578627
	.quad	2397205535804309313
	.quad	59413027864729597
	.quad	-6576865948360835906
	.quad	-5853942366439028350
	.quad	8070632061321113656
	.quad	-43096265848900805
	.quad	267109013517069093
	.quad	6537214311028855260
	.quad	5220826919973709902
	.quad	3448740582779163661
	.quad	-1624504860596666675
	.quad	5975299384311048185
	.quad	-8152310269278839478
	.quad	4739856055412448774
	.quad	-6389471035383163719
	.quad	-5327741131759495007
	.quad	3354445304051737058
	.quad	-4853931006210237022
	.quad	3890182464434078629
	.quad	-626359716243126556
	.quad	-8661515954739672236
	.quad	1778431746734556271
	.quad	-8371430197359496587
	.quad	-4452695584308632588
	.quad	-498456999509825168
	.quad	2815088342305858722
	.quad	2676626035777198370
	.quad	1174257960026283968
	.quad	421714788677
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	-6974859598036500479
	.quad	8902860357476377573
	.quad	-5096447297870321111
	.quad	-7837552287364942728
	.quad	7261211985859587338
	.quad	-7007071384354688652
	.quad	-1657036001408980989
	.quad	4607056528866348430
	.quad	3202978990421512997
	.quad	2024899620433984146
	.quad	-779793866469739842
	.quad	4233228489390288200
	.quad	9137580478688460738
	.quad	4060411066587388546
	.quad	-7326794267648951492
	.quad	867715462473090103
	.quad	-4064349132324682006
	.quad	4856042377419278489
	.quad	8265605599571137921
	.quad	538981667666252469
	.quad	4270263388700786523
	.quad	3281140600308898503
	.quad	4121392524544394174
	.quad	2077884106245940229
	.quad	-8673702116379784042
	.quad	7550623316597646685
	.quad	8611033926449791714
	.quad	-308821118288748823
	.quad	2796546741236224013
	.quad	-2969647589081104855
	.quad	-8929203945595837606
	.quad	-8974826103208730238
	.quad	-2508173825047068492
	.quad	5228016831978462619
	.quad	-2725752821122577115
	.quad	7662829825220776698
	.quad	-1118434005641117268
	.quad	3371736428170309730
	.quad	3803724952191098855
	.quad	-5330817537205174897
	.quad	-1694172877556109359
	.quad	-1906558605933291736
	.quad	3432518182450051120
	.quad	5880364967211798870
	.quad	-6090995233404158833
	.quad	-4250653315173082041
	.quad	7370123524686686319
	.quad	6819740424617592686
	.quad	-5408806060172182863
	.quad	-3417470402417624516
	.quad	3671312928327205696
	.quad	7473228676544792780
	.quad	-1212664382396613493
	.quad	-4282003225616007197
	.quad	-5276839294227675714
	.quad	7179036968465894054
	.quad	8244653688947194445
	.quad	-1266946327635752126
	.quad	5591970751047577674
	.quad	-916193567441221874
	.quad	5965746721852312330
	.quad	1604149463243472865
	.quad	7734199791463116918
	.quad	-7140953677693694902
	.quad	4441196105025505137
	.quad	-5400312492523886854
	.quad	124776524294606713
	.quad	1134521334706523966
	.quad	-6775015980365075182
	.quad	-4343304052736618468
	.quad	3966727403013869059
	.quad	-8618649565300418795
	.quad	4355682486381147287
	.quad	-8185336929721070382
	.quad	3800455155249557199
	.quad	-5745842135772004116
	.quad	-262268606814972256
	.quad	-5179052921929656204
	.quad	4714157123477697445
	.quad	-7676383902400966353
	.quad	9083344917597998040
	.quad	-6368094199899339461
	.quad	-227754991663352239
	.quad	4454285072780637351
	.quad	5287307245618354742
	.quad	-2404454371650519886
	.quad	4131926574212754010
	.quad	217692071448455473
	.quad	3624845916216282093
	.quad	2901203491797614218
	.quad	6679177724033967080
	.quad	44561358851332790
	.quad	9094639944041587162
	.quad	-4755829061433467305
	.quad	1408896670826320686
	.quad	5359130319612337580
	.quad	6148412925099835601
	.quad	5211368532286409612
	.quad	-7060383248160524242
	.quad	-1551561606743756545
	.quad	3392940493846427241
	.quad	438089879085393580
	.quad	4783928372776399972
	.quad	6278117363595909959
	.quad	-5877263024296876883
	.quad	-2798121581138657714
	.quad	1966316336235305115
	.quad	1603775390515993547
	.quad	-4870631063505234907
	.quad	-7624989423606711142
	.quad	-248521556486648464
	.quad	6966163076615302988
	.quad	1373932372410129684
	.quad	3285839581819684990
	.quad	30177575069719475
	.quad	-1999696202462244555
	.quad	-6828089947034717808
	.quad	990072222556306872
	.quad	1260682336135768017
	.quad	-4584689027020019127
	.quad	-2778260980864853184
	.quad	1879572630092764264
	.quad	-4534716276650925508
	.quad	6231679788219816920
	.quad	-4588886018865384213
	.quad	-345274001174822759
	.quad	4144579812461609229
	.quad	7048589655616599284
	.quad	-8499787574176856986
	.quad	-8675440223599677578
	.quad	6477823708780339765
	.quad	-920496451962509645
	.quad	-4920748397856882067
	.quad	3928768291901239810
	.quad	8094153383078124544
	.quad	-7232465405980586064
	.quad	-7195196911112719006
	.quad	5964946855123292381
	.quad	3622548288590237903
	.quad	-4976978106559498029
	.quad	-647757785186085534
	.quad	-3762151254901619357
	.quad	-1722666796906587695
	.quad	7119877993753121290
	.quad	1864571304902781632
	.quad	-5574759152324337804
	.quad	9065447042604670298
	.quad	3987130777300360550
	.quad	6890545752116901685
	.quad	-1171402362107685866
	.quad	6296474927799264658
	.quad	1257436973037243463
	.quad	-4592462291744250195
	.quad	1657132483318662716
	.quad	-1137344533692258767
	.quad	-5638632443620334374
	.quad	1098489625264462071
	.quad	-4436285168023187481
	.quad	-2312329554227930396
	.quad	-4158488173380730141
	.quad	3469093466388187882
	.quad	-2464033192241255744
	.quad	4056765540058056052
	.quad	-2501567684613447527
	.quad	8625339365793505375
	.quad	-6130564104845762703
	.quad	-3112620300171497295
	.quad	-8910505249488969851
	.quad	-2365918353603348345
	.quad	6235695225418121745
	.quad	-6411551117251532267
	.quad	3235835166714703698
	.quad	5348960676912581218
	.quad	-3131681301000086969
	.quad	-1111654365688242954
	.quad	-1590888755751137207
	.quad	2369751139431140406
	.quad	3693542588628609043
	.quad	7350405893393987577
	.quad	-1044671487367887815
	.quad	7007897690013647122
	.quad	-2774976201650246858
	.quad	-9187253555417203701
	.quad	-3610698599303421222
	.quad	4654005815464502513
	.quad	6487825998330548401
	.quad	7013356660323385022
	.quad	7136200343936679946
	.quad	-3105507215033113900
	.quad	3657357368867197449
	.quad	-5825668543654943238
	.quad	5603868621997066972
	.quad	7683447656788439942
	.quad	450883379216880060
	.quad	-4155249723524606569
	.quad	5466258454997635048
	.quad	-4239810975276779490
	.quad	4775870327277641692
	.quad	1864430798867181939
	.quad	-4697765808638942823
	.quad	-6195921209447975027
	.quad	-5884847096210946320
	.quad	-2385794479452192288
	.quad	-671554960166240087
	.quad	-6610778895816624581
	.quad	4218664174878121437
	.quad	3499000902478111683
	.quad	-3276890769350425322
	.quad	7076121963053575143
	.quad	832652347668916805
	.quad	1292148207755194737
	.quad	7556838978364207852
	.quad	5904021986723518500
	.quad	4610244652288570024
	.quad	4526508363195533871
	.quad	746120481022614726
	.quad	737965197247830486
	.quad	4006266184415762653
	.quad	-9174555833816863566
	.quad	-3100508827293841938
	.quad	-6596068076362018432
	.quad	-7265684405098708915
	.quad	6687857983250662774
	.quad	2908718488661492818
	.quad	4828337780126983225
	.quad	-375005427256549432
	.quad	-5656556845982353736
	.quad	-844260592837928463
	.quad	-5923211884087695639
	.quad	-7847938360981854900
	.quad	2179787555896149376
	.quad	2242193929457337594
	.quad	-3537820832572809084
	.quad	8369182018012550027
	.quad	-5061362519666529292
	.quad	3332327430110633913
	.quad	-2308653289663343124
	.quad	-2274419466240504277
	.quad	8279089815915615244
	.quad	-5573837470973316369
	.quad	-7552198783170075995
	.quad	-3017987527857646593
	.quad	4155747980686992922
	.quad	4074479178894544043
	.quad	66083965608603584
	.quad	-4572957789047283239
	.quad	8861183628277687555
	.quad	-6327246162413530186
	.quad	2154012318305274287
	.quad	-2956037759206484304
	.quad	-4803598584998943249
	.quad	672340241093017103
	.quad	6039493278284091973
	.quad	-8766946372732115155
	.quad	-375948245391380442
	.quad	2188146431134935377
	.quad	5247392385741514952
	.quad	1852539214842869734
	.quad	-6211122392075438877
	.quad	8812930319623534062
	.quad	5585597406294108629
	.quad	-7133754859233649752
	.quad	1547377291787797995
	.quad	8641748937186208205
	.quad	-5928595414540927922
	.quad	6611379197521520985
	.quad	-350152502641543040
	.quad	-3359722846609439477
	.quad	-5388289231693593198
	.quad	1473584652966833794
	.quad	4387660670140018168
	.quad	8452836916843525402
	.quad	-4070660779266187661
	.quad	-4448717869740460957
	.quad	611968444648172645
	.quad	990232438801273845
	.quad	-445557748993989687
	.quad	-4976152216459374115
	.quad	-3565189933470131525
	.quad	-1750376236989427121
	.quad	6328076032778459673
	.quad	-1419246377741047000
	.quad	-8254498427447122783
	.quad	8282482589527318647
	.quad	4319014353374321425
	.quad	-4312656802667880636
	.quad	5060230880114618599
	.quad	-5267234833279493016
	.quad	3903514232614801894
	.quad	-671994329007386361
	.quad	-2998108566678581890
	.quad	-2462968835351071407
	.quad	-3903911929744063729
	.quad	-9061125975670036950
	.quad	-4015324461047246773
	.quad	730863073501675978
	.quad	-1696625693329816801
	.quad	9640
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	4734805469491560449
	.quad	-8325486223732958354
	.quad	-2931114736431325974
	.quad	2212915151774210058
	.quad	6663637332045858029
	.quad	-1339924551535710180
	.quad	3033795390447658772
	.quad	7718383707400077069
	.quad	-6376439006502304790
	.quad	-3177545853105786136
	.quad	-6424035887981131008
	.quad	77444305565097111
	.quad	8296127084146860649
	.quad	-3869531252920249613
	.quad	-4547138759595755867
	.quad	8897556787106485718
	.quad	7107770150399380644
	.quad	1369953078461852783
	.quad	6979674467786437514
	.quad	2729737685714719189
	.quad	9190845266052516846
	.quad	6386092840706145984
	.quad	-1562634029184043423
	.quad	497786295510831247
	.quad	-3110672480866801855
	.quad	-1290685380913229084
	.quad	-1784925412414228250
	.quad	-5965254612210698272
	.quad	-195347905997225019
	.quad	-3210061223950682743
	.quad	-2113036211693790634
	.quad	-1310522418227524665
	.quad	-1188162142170618912
	.quad	3160048940096833902
	.quad	121625224721269761
	.quad	3015482372342246716
	.quad	8342191648913931706
	.quad	2246028606627019557
	.quad	7104930024182662526
	.quad	-6716427498967282568
	.quad	-1272517676320293229
	.quad	3293804579498370401
	.quad	-6217083385538550103
	.quad	-637805773149631945
	.quad	6264083323008108029
	.quad	4820815117438024262
	.quad	1979000428121124723
	.quad	5000774170954614568
	.quad	-5046660104014275187
	.quad	7428139934551454625
	.quad	-227158032510661716
	.quad	8109609685913604125
	.quad	-7757553851688221125
	.quad	3943907756943551137
	.quad	-2843511850079409138
	.quad	-7840654309312808342
	.quad	-9063024310973180841
	.quad	-4752007754230651642
	.quad	429624420090361397
	.quad	227546753412414805
	.quad	-7487802088538065308
	.quad	-9129298250285722095
	.quad	-6583598711289924451
	.quad	124380730737735756
	.quad	-5894706371584269918
	.quad	-8939768751263285454
	.quad	6361070452196727670
	.quad	5864118314335574899
	.quad	-248243582685672201
	.quad	693710845576296048
	.quad	8428067657989979622
	.quad	9190375061780140607
	.quad	-8212906993417924652
	.quad	4057199436792326716
	.quad	-5401258105744638580
	.quad	-6629191848285225255
	.quad	5663867194179809591
	.quad	-2782630945017020160
	.quad	6644074694371287637
	.quad	-1836285111917876453
	.quad	-5014028850169909675
	.quad	6940147613714364150
	.quad	-185413544034266504
	.quad	2770687570340300641
	.quad	166471986444296544
	.quad	-6225298388866734576
	.quad	3714622590696147444
	.quad	-5051602777039525818
	.quad	-368418271632650319
	.quad	-8901965932709169375
	.quad	8850914703500200093
	.quad	3810737736735386096
	.quad	2117555260343410051
	.quad	7753203251593962517
	.quad	-3094012294002111649
	.quad	-8686016012256128891
	.quad	2483876614472218676
	.quad	-7747622018297867538
	.quad	5879369345516927746
	.quad	-8626134198175884376
	.quad	1291610685003704965
	.quad	6744219916322133607
	.quad	6377819355385901546
	.quad	9082047296049079505
	.quad	262618211405078579
	.quad	-4954532194480394074
	.quad	4724420303847709296
	.quad	-9158676104854373900
	.quad	-364872505657368172
	.quad	-3191172188306330807
	.quad	2246442144788530940
	.quad	5989308098935123279
	.quad	-5831368054133684750
	.quad	4096604902035173619
	.quad	1905680188673640379
	.quad	8808037380749664979
	.quad	8867179827953113686
	.quad	7941208416960536773
	.quad	-99701943013205345
	.quad	-2861863148992275582
	.quad	-4549019896436702982
	.quad	-5894956243168361085
	.quad	2110016464489331948
	.quad	-3453784842588597961
	.quad	5155915500390579529
	.quad	-6004597181969337625
	.quad	2160740412631082538
	.quad	-8715856754645252781
	.quad	1978135137454895105
	.quad	-2549310930953404419
	.quad	-4547806246413117358
	.quad	5590837795874025034
	.quad	-8961839058199191163
	.quad	-1170988391491464837
	.quad	-8131892488490248599
	.quad	5146514476452997833
	.quad	2685838092360807032
	.quad	-2698775762856187498
	.quad	7575162550584052276
	.quad	1821625350956509481
	.quad	-7999093180840566501
	.quad	-2983157650620814913
	.quad	8070960717235237951
	.quad	-4578037982724429142
	.quad	-5210655000745480792
	.quad	5790854297122038982
	.quad	2061890046203343898
	.quad	5137585270307907960
	.quad	-2730877678254250275
	.quad	-7432010795306866976
	.quad	4568822892720381524
	.quad	-6233375079378184164
	.quad	5943072258025584213
	.quad	7505656341731662881
	.quad	-3693323393794125226
	.quad	-8782413032580351082
	.quad	-1247226273096620667
	.quad	5794715994807321562
	.quad	8979439602782410600
	.quad	4013690875255814327
	.quad	4788592446297410452
	.quad	7881249861415092932
	.quad	977213487573654953
	.quad	923062152329155855
	.quad	4256185035634640191
	.quad	-4539969104033658618
	.quad	-4285019307948990128
	.quad	6255788174608088660
	.quad	-8236730621559234323
	.quad	8367282897729021557
	.quad	-7584502531387573938
	.quad	-7259628708067916899
	.quad	3891102563569129293
	.quad	7629137599207408133
	.quad	7206037909846636727
	.quad	2254919723564098762
	.quad	345833071429309102
	.quad	6402540102058174110
	.quad	-8452812291049361889
	.quad	-1329695449000320661
	.quad	-3095191567168173660
	.quad	7713128122863319014
	.quad	-5383405755205065679
	.quad	8043383629459294916
	.quad	4270244130714287096
	.quad	4616501241752789289
	.quad	-5528774006349000783
	.quad	-3229976772822969976
	.quad	4002001954492136096
	.quad	5582674356224425892
	.quad	-2755554746702852885
	.quad	496217562383964892
	.quad	-5514138697592713354
	.quad	-8316745315147641156
	.quad	-4581184459339246677
	.quad	9217339887777235754
	.quad	7243018590514884616
	.quad	-151881599306214583
	.quad	-2304597988514136473
	.quad	-3559872228637531785
	.quad	2300006803713887302
	.quad	-58804006014967141
	.quad	3556096087578066588
	.quad	6264767967456942360
	.quad	-2764812140617331662
	.quad	4390515012152303249
	.quad	3076968672531178662
	.quad	685494910557321329
	.quad	1554506352208529567
	.quad	1048563793801477249
	.quad	7544257401359168115
	.quad	4899780768732861239
	.quad	6228153394030153705
	.quad	3875228905107521478
	.quad	-6233390302119134375
	.quad	3665307925385752280
	.quad	-7567173301093463825
	.quad	-2031697889695090262
	.quad	-3644749262389543424
	.quad	-7326757003829011840
	.quad	-1218410543474253181
	.quad	3719945549511708577
	.quad	-4406784075835378706
	.quad	-3726758719600177625
	.quad	-3004037523369225540
	.quad	-5398943217582451595
	.quad	2288611147839956377
	.quad	-8997794178585459225
	.quad	-4642615516761506226
	.quad	8247673722161199901
	.quad	148315241783422880
	.quad	-2656944564942979740
	.quad	-5569215657887524618
	.quad	-8079918451822301200
	.quad	-6547929490269302253
	.quad	-2375453238411481793
	.quad	8389982701544306242
	.quad	5531549643251140676
	.quad	-5199581202487014967
	.quad	7934349776229807266
	.quad	4538358977143258963
	.quad	3866163666857351430
	.quad	8435037624664422256
	.quad	3945944434010580332
	.quad	-7833748136613022325
	.quad	-7605251612591421064
	.quad	-4757284932746278133
	.quad	-6256865339243455017
	.quad	-3752703421080395338
	.quad	4909641398634409324
	.quad	5780023090082049999
	.quad	-3675635985417134609
	.quad	8441958620808173734
	.quad	5802132159669142617
	.quad	3837336995815619849
	.quad	-5351897801064744229
	.quad	-3604172043774104497
	.quad	-7517899987705333118
	.quad	8622139958963810291
	.quad	4422969696044156012
	.quad	-261606450539292764
	.quad	-583082973887164484
	.quad	8953841731266092224
	.quad	36243936373993352
	.quad	-1813702953007143325
	.quad	7739468521893678775
	.quad	5400063286861787915
	.quad	5911383954510574696
	.quad	-4897176846298655998
	.quad	4462297794485792433
	.quad	4488813832859891898
	.quad	9149453056204172263
	.quad	-2374686423772211764
	.quad	-3540491497421858734
	.quad	8271452853949304499
	.quad	-5763765519085619854
	.quad	-4285306561644422989
	.quad	-4662410708751199374
	.quad	-947953254965186747
	.quad	4386398306651350959
	.quad	-694672904742573947
	.quad	-6695622650541005056
	.quad	8513311550241749682
	.quad	5506446386574490598
	.quad	-1630598867463726795
	.quad	-3076107125294036646
	.quad	-5511669496059679106
	.quad	1795701080378382525
	.quad	-2025681482128571132
	.quad	5877668516262607274
	.quad	-3976157495158103636
	.quad	615937378094845009
	.quad	-5668716993314381212
	.quad	3791679676342426565
	.quad	4743847784124955223
	.quad	3939428438826997938
	.quad	-6220277441748113576
	.quad	380016710757123738
	.quad	-4359327604211787242
	.quad	8138182875361518595
	.quad	5750736256044723814
	.quad	1619983966589145066
	.quad	-89109035140538446
	.quad	-3632661006598255415
	.quad	715413425090626948
	.quad	9135518289989772581
	.quad	-4521557999167881508
	.quad	3364764793476385191
	.quad	1508568848530349820
	.quad	-3641285811521557415
	.quad	2581819420077395771
	.quad	6278762597119133640
	.quad	3556184041718296984
	.quad	5439958548908742630
	.quad	7479012800218807592
	.quad	7955047275508466584
	.quad	4458066949235466665
	.quad	-4041124216249100626
	.quad	8679876237645706046
	.quad	7090760345643478520
	.quad	-8025828000478539123
	.quad	-4477436573911586118
	.quad	-2840135007662617374
	.quad	-4971715647509176983
	.quad	-3863924134756780409
	.quad	-524549181872206535
	.quad	4125754028215992048
	.quad	8237728046923545536
	.quad	-2612054165308809020
	.quad	-8964330034419452495
	.quad	-2266229662714450555
	.quad	6361338485692057877
	.quad	4650210388499741911
	.quad	3177294050395039042
	.quad	-5568021764705652015
	.quad	-3669938271248897985
	.quad	-6028948659090172173
	.quad	8638306631721133406
	.quad	-5071750542652522149
	.quad	-1652446253101092921
	.quad	-5381519347650540149
	.quad	-285653507193267733
	.quad	-8445752260973857570
	.quad	-2720455621929071043
	.quad	-4121326417431453559
	.quad	-170301211412070624
	.quad	-3425485123696764682
	.quad	2673275801057568021
	.quad	-7466014288139698089
	.quad	714465189390498639
	.quad	7710723724879456621
	.quad	5953251749140717989
	.quad	118077562892454633
	.quad	6530344183011542391
	.quad	4783103019933741530
	.quad	8503129753748748176
	.quad	1373327054916871614
	.quad	6669491806629209052
	.quad	4619390691939421970
	.quad	5179515648996959200
	.quad	-1291556912011696250
	.quad	766338409476030181
	.quad	6174714569872033076
	.quad	-1078410408048643702
	.quad	-2326506118595224074
	.quad	-8006877427911128498
	.quad	6237193887174943905
	.quad	7900288714350616477
	.quad	5028236635819917577
	.quad	-3505089082802326551
	.quad	1275793776340190361
	.quad	-4849307597447939668
	.quad	318366277531347168
	.quad	3197935369052220685
	.quad	-6266517193172904432
	.quad	2504132107801706035
	.quad	2093311415691930214
	.quad	6922968032991936927
	.quad	-6519580264241886151
	.quad	6498538161365680020
	.quad	5317923361881221976
	.quad	1984350716132981565
	.quad	-1332339419223824805
	.quad	2972873668403553411
	.quad	6222876120405539532
	.quad	-4662125851921747227
	.quad	-6547561928497763977
	.quad	4978466172617045902
	.quad	5472336470505433178
	.quad	7507908464930718658
	.quad	4578519326550553428
	.quad	-1350511915330098295
	.quad	-7470350728563160309
	.quad	-5289510981398857861
	.quad	5837651449315757829
	.quad	3522472294424637525
	.quad	-5075501671810809418
	.quad	-50171520194054959
	.quad	1479883141297090646
	.quad	-6212319506764587930
	.quad	5420445628202743048
	.quad	-7715740849998639631
	.quad	-8087757431827137962
	.quad	-4308510599342458364
	.quad	-8285638770534610761
	.quad	5221210355222047774
	.quad	-5129820439450634734
	.quad	-5451882872599916952
	.quad	449688148965171360
	.quad	-1034270677327131532
	.quad	-8283366839915177643
	.quad	8790836677585569327
	.quad	-4108072330736708721
	.quad	-8810793180751384121
	.quad	-8180814649421466956
	.quad	6215699239099148302
	.quad	6957179226869499802
	.quad	8451901963419586670
	.quad	-5776683067777219210
	.quad	-1720646390650524967
	.quad	-2382788985240274674
	.quad	-5344346321908207426
	.quad	-7029296792233062029
	.quad	-5087106347754395272
	.quad	8245110187859509816
	.quad	7339993977514879941
	.quad	-8317348890868743369
	.quad	3659997764317471742
	.quad	4691598600072034734
	.quad	8284964964162430336
	.quad	-8879920868203878989
	.quad	4189915749727266302
	.quad	5308965371519461459
	.quad	2054797008891295341
	.quad	-319650149512998887
	.quad	4299196883765669209
	.quad	-6619137023697801572
	.quad	4366869471967700896
	.quad	-3546636857430334603
	.quad	5151825020866902336
	.quad	-5595287622004427833
	.quad	-3482375302139240969
	.quad	-2116609725698177208
	.quad	5025013570029662271
	.quad	-7172639223957230800
	.quad	1053939472501839694
	.quad	4221769898647927732
	.quad	4357920165500097666
	.quad	7834076884326979563
	.quad	4272063780046627846
	.quad	4039116997058321770
	.quad	-2727216782894280388
	.quad	1348202375856620388
	.quad	2301898783875571271
	.quad	6460035136011136646
	.quad	-7748983759756528363
	.quad	-8689414339246627803
	.quad	4584246636790019109
	.quad	6885835975334039940
	.quad	6249906805861885349
	.quad	1725716591743982184
	.quad	-6792382586035478995
	.quad	-8561921580254818383
	.quad	-5458832138150299448
	.quad	4902101741859337225
	.quad	-96324132248875647
	.quad	-3048186007714207786
	.quad	-2718787369210832064
	.quad	-8671051473484333247
	.quad	5118530954824848124
	.quad	941859248514608678
	.quad	6746433271605450562
	.quad	2114129833224464615
	.quad	-5900265339832101396
	.quad	6395367805235268478
	.quad	6351512176232662553
	.quad	-6773795135019744219
	.quad	-3300035179055311257
	.quad	-5734986233923019765
	.quad	-8052777049420916502
	.quad	1079482412171585708
	.quad	1660095950523830107
	.quad	4570275898977334110
	.quad	-8462406929980588204
	.quad	8352020334175620458
	.quad	7268817811428017472
	.quad	-8260539626125538631
	.quad	-1318783296510329730
	.quad	-1849045667302279635
	.quad	7425334241403613730
	.quad	4771374893546118783
	.quad	3442128010744075328
	.quad	-8419323731279002594
	.quad	-6363668833490549255
	.quad	588527856080217357
	.quad	305227581199019801
	.quad	9136966043892137413
	.quad	-2278804171854968181
	.quad	-9084898579078807092
	.quad	8878612434848834319
	.quad	-2386595063698322272
	.quad	-527549910298244324
	.quad	6639113234980662253
	.quad	-368423895764240520
	.quad	-2900415605637597803
	.quad	-4900412317268913386
	.quad	-4246800295677146288
	.quad	-7816390267356590083
	.quad	-302045669661596972
	.quad	1197376723885704574
	.quad	-2216617767736929576
	.quad	-4567633858154319246
	.quad	227176813662154075
	.quad	-6187464087009419577
	.quad	-2010710217563102842
	.quad	5277417808893919132
	.quad	-3039320223568706266
	.quad	-3505726730734280764
	.quad	5674047306833804966
	.quad	7851051224316364461
	.quad	-9021178261541977440
	.quad	2943367180561279421
	.quad	8105073495705153153
	.quad	-291197500659974400
	.quad	5697406480502376064
	.quad	5877477751337405235
	.quad	-1877512547642739308
	.quad	-2908859824909079193
	.quad	-7989207532104128143
	.quad	2223801759201342324
	.quad	-4130535894309751748
	.quad	-2809397587028191039
	.quad	4608566767287318283
	.quad	-2873602019459163512
	.quad	6547935807155622982
	.quad	2358717164769637863
	.quad	-1831766156507992882
	.quad	-9222738573106816221
	.quad	-7731822386500942283
	.quad	8671288339249264200
	.quad	5608869571866323513
	.quad	-2425096370600928448
	.quad	7977466863429629561
	.quad	-8098333501427963750
	.quad	7242289474995514715
	.quad	1567169508226279381
	.quad	-4586964198220999807
	.quad	-6917354203955265500
	.quad	-6034243558253485859
	.quad	-1093066196934510403
	.quad	1025395215826879256
	.quad	1615699621365775136
	.quad	4321995075701125085
	.quad	7179077730157579846
	.quad	-6908299121810349261
	.quad	4448248277864616299
	.quad	8394522697799974727
	.quad	7265749836394272542
	.quad	562550948483866244
	.quad	8433249156541039618
	.quad	-5705748218464851718
	.quad	6288290551140793701
	.quad	-638664576154067418
	.quad	5018038877509214997
	.quad	18911087437259851
	.quad	-1491224301292480121
	.quad	7864500398214309565
	.quad	975518652973548277
	.quad	-644707024441647508
	.quad	622187558004557147
	.quad	-3128242422379220470
	.quad	5598898530851347884
	.quad	-3424015153229103804
	.quad	7970622010814221179
	.quad	-7979253799909259246
	.quad	1251993471097504428
	.quad	6584765995150877185
	.quad	-5671645296507245777
	.quad	-8918119472441484173
	.quad	6791359573957131238
	.quad	8524739724542477550
	.quad	5391013523391169218
	.quad	-1902378879454495217
	.quad	5551858142341314141
	.quad	-5296049346219222612
	.quad	7884679690313721309
	.quad	-4800704299191909797
	.quad	-2935508846959076223
	.quad	-4138335538995518567
	.quad	-1552703094387976148
	.quad	-821378450679798352
	.quad	-2791034803126633808
	.quad	-7318852677545941727
	.quad	-8103330200540858616
	.quad	92947107
